﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xunit;
using Xunit.Abstractions;
using Xunit.Extensions;
using Xunit.Sdk;

using xUnitStudy.Model;

namespace xUnitStudy.WebApi.Test
{
    /// <summary>
    /// 设置全局共享
    /// </summary>
    [CollectionDefinition("Demo Collection")]
    public class CollectionFixtureSetup:ICollectionFixture<CollectionFixtureDemo>
    {
        //这个类没有代码，而不需要创建。
        //其目的是简单地设置测试集共享数据
        //只要设置[CollectionDefinition("Demo Collection")]特性
        //并实现IClassFixture<T>接口
    }
}
